Frigate - Help contents

  • Interface
    • Page control
  • File manager
    • Potentialities
      • Quick Folders (frequently used folders)
      • Favorites and user menu
      • User Menu
    • Operations with files
      • Make new folder
      • Copy/move file
      • File Search with the opportunity of replacing text
      • Task list
      • Queue Manager
    • Archives
    • Work with images
      • Convert image
    • Ftp
  • Text editor
  • Viewers
  • Tools
    • Disk information
    • Quick Launch
  • Utilites
    • Tree Notes
    • Smart Pad
    • Startup Manager
  • Options
    • Tune Colors
    • Tune PointShoot
    • Tune Drive Panel
    • Date format
    • Text Editor
    • Archives
    • Control Center
      • Main
        • Toolbar
        • File associations
        • Appearance
      • Multimedia
      • Internet
        • Mail template
        • Email
        • FTP
        • Frigate direct
      • File system
      • File manager
        • Report
        • List
        • Navigation
      • File groups
      • Editors
        • Spell Checking
  • Launching Parameters
  • Hot Keys


Frigate - Help - Settings - Toolbar

Control Center

  • Main
    • Toolbar
    • File associations
    • Appearance
  • Multimedia
  • Inernet
    • Mail template
    • Email
    • FTP
    • Frigate direct
  • File system
  • File manager
    • Report
    • List
    • Navigation
  • File groups
  • Editors
    • Spell Checking
  • Advanced


Frigate - Help - Options - Extension setup (Point-and-Shoot technology)

Extension setup (Point-and-Shoot)

Point-and-Shoot allows you to launch the main application when you press Enter on a file. This method is widely used in Windows but it fails to define the application in a handy way for a user. Using Frigate you can do it with a great number of additional options. Besides the standard method Frigate allows you to define the application yourself. This application will launch when you press Enter (double left mouse click), Alt+Enter, or ask for an external viewer or editor.

This dialog allows you to add, edit and delete extensions and applications. You can set several extensions dividing them by ";" and associate a command file with them. You can use the follwing macros:

  • ! - The name pf the current file in the active panel
  • $ - The name of the current file in the passive panel
  • .! - Extension of the current file in the active panel
  • .$ - Extension of the current file in the passive panel
  • !\ - The name of the current folder in the active panel
  • $\ - The name of the current folder in the passive panel
  • !/ - The name of the folder of the current file in the active panel (without "\" in the end)
  • $/ - The name of the folder of the current file in the passive panel (without "\")
  • !: - The name of the drive of the current file in the active panel
  • $: - The name of the drive of the current file in the passive panel
Note! Please make a double click in the editor to paste a file through Open File Dialog.


Frigate - Help - Options - Colors

Options - Colors

Every part of Frigate can be easily changed to be more convenient specially for you. You can set the color scheme you like in Options/Colors:

Options - Colors

There are some defined color schemes (Charm, Gray, MoonNight, Namad, Serpan, Spring и Spruce) in the catalogue but you can create the one you want by yourself.


Frigate - Help - Options - Archives

Options - Archives

To pack or unpack files you need special programs like pkzip.exe, pkunzip.exe, arj.exe, lha.exe, rar.exe, limit.exe, zoo.exe, hyper.exe и ace.exe. Frigate can act as a shell for these programs.
In the Options\Archives you can prepare Frigate for using archives (ARJ, ACE, JAR, CAB, HA, LHA, RAR, PKZIP, ZOO, LIM, HYP).

Besides Frigate contains Pkzip - a compatible internal packer which suppopts almost all options of pkzip.

More about archives


Frigate - Help - Settings - Launch

Launch settings

NoSplash or Nologo will launch Frigate without logo.

Example "C:\Program Files\Frigate3\Frigate3.exe" /nologo

r - Frigate reinitialization. You need this key when you install a new version over the old one or when you edit xml.

Example "C:\Program Files\Frigate3\Frigate3.exe" /r


Frigate - Help - Change drive

Change drive

Using Frigate you can navigate not only through drives a, c, d, e but also through Windows virtual folders such as My computer and others.

To display all of them in Change Drive Dialog (more details) (Alt+F1, Alt+F2) is not convenient. Besides you use some drives more often than others. So you can set change drive option as you like.
To do it press right mouse button on Drive Tune Dialog and select Drive tune or press the button with a wrench.

Drive tune dialog

You can make additional pages for those folders\drives you use seldom.


Frigate - Help - Options - Date

Date tune

When you press F5 in the copy dialog or when making new folder date is automatically added.
To set the format of the date use field "Directory name" (when you make mew folder F7) and in the field "Copy to" (when you copy files F5).
Note! The format of the date is tuned for copy dialog and new folder dialog separately.

Date Format: - here you can choose the formatfrom the list or create a new one by yourself.
Preview - preview of the format.


Tune text editor

Main

  • Use tab character - When you press Tab there appeares tab symbol in the text (if this checkbox is not checked there will appear blanks in the text).
  • Smart tab - When you press Tab the cursor goes to the position of the first non-blank in the previous line.
  • Backspace unindents - delet autoindent of the keys Backspace
  • Show line numbers - Show line numbers
  • Show line numbers on gutter - Line numbers on the left groove
  • Group undo - Undo the last group of changes by Ctrl+Z or select Undo option.
  • Cursor beyond EOF - Cursor beyond end of file.
  • Cursor beyond EOL - Cursor beyond end of line.
  • Selection beyond EOL - Selection beyond end of line.
  • Default word wrap - By default the mode of division of word is on.
  • Auto indent mode - When you press Enter the indent will be as in the previous line.
  • Persistent blocks - The selected block keeps the selection till a new one is selected (even if the cursor is out).
  • Overwrite blocks - Overwrites the selected block with the text from the clipboard.
  • Double click line - Color marking of the whole line by a double click on any symbol.
  • Find text at cursor - If the box is checked the word that is near cursor is put to the find and replace dialog.
  • Select found text - Turn on\off the selection of the found text. If this option is off the found text is highlighted.
  • Force cut and copy enabled - Allows to cut and copy even if the text is not selected.
  • Use syntax highlight - Turn on\off syntax highlighting.
  • Overwrite cursor as blocks - Overwrite cursor as a block.
  • Disable dragging - Disable drag&drop option.
  • Block indent - Defines the autoindent for moving selected block. (Select the block, Ctrl+K, then Ctrl+I (to the right) or Ctrl+U (to the left)).
  • Tab stops - The size of the tab in the screen font symbols.
  • Key mapping - Choose the layout for the text editor (by default, Classic, Brief, Epsilon, Visual Studio).

Display

Here you can set the outlook of the editor.

Options - Display

  • Editor margin - Set the right margin
    • Visible - Show\hide the right margin
    • Width - The width of the right margin
    • Color - The color of the right margin
    • Style - The style of the right margin
    • Position - The position of the right margin
  • Editor gutter - Set the left gutter
    • Visible - Show\hide the left gutter
    • Width - The width of the gutter
    • Color - The color of the gutter
    • Style - Style of the gutter
    • Line number - Line number color
  • Editor font - Choose the editor font
    • Size - font size
    • Color - font color
  • Use dos font for Dos code page - Use dos font for Dos code page.
  • Use Special Symbols - Show\hide special symbols
    • EOF - Set the symbol for EOF
    • EOL - Set the symbol for EOL
    • Space - Set the symbol for the blank space
    • Tab - Set the symbol for the tab

Background

Here you can set the editor background.

Options - Backgroound

  • Background picture - here you can select a bmp picture that will be the background in the editor
  • Background mode - choose the background mode here
  • Gradient color - choose the start and finish colors which are used for horizontal or vertical gradient

Syntax schemes

Here you can set the current syntax scheme.

Options - Syntax

File types

Here you can see all the syntax schemes of Frigate. There are file extensions and code by default for each of them here.

Example: Scheme - HTML, file extension - asp; html; htm; shtm, code by default - Win.

Option - file types

  • Extensions - Here you can add or remove the extensions to which the current syntax scheme is applied.
  • Default code type - Choose the code by default (Win, Unicode, Dos, Koi8)

Templates

Here you can set the editor templates, which is an extremely useful opportunity.

Example: When you use HTML you often need <font class=menu></font>. Put it into template "m". Then in the text editor press m,Ctrl+J and "m" is replace by a template. If you press Ctrl+J there will appear a list of templates and you can choose the necessary one.

Options - templates

  • Name - Short template name. If you type it in the editor and press Ctrl+J, it is replaced by the template.
  • Description - Description of the template.
  • Code - Text of the template.
  • Add - Add a new template.
  • Edit - Edit the current template.
  • Delete - Delete the current template.

Advanced

Method navigator (Alt+M) is a handy tool for navigating through methods and procedures. There is a buil-in support for Pascal, Ini, CSS in Frigate, For all the others there is simple setting. Here you can set the words for different functions, procedures and other logic blocks.

Example: Procedure, Function, Trigger, Table, View for MS SQL. function for PHP.

Options - advanced

  • Add - Add a new navigation word.
  • Edit - Edit the current navigation word.
  • Delete - Delete the current navigation word.


Frigate - Help - Active Tasks

Active tasks

If you want to see all the active tasks (copy, move, delete) or minimized utilities select File\Active Tasks or press Ctrl+Shift+F7

Double left button mouse click will restore the task.


Frigate - Help - Archives

Archives

Frigate deals with the following archives: ACE, ARC, ARJ, BH, CAB, GZIP, GZ, JAR, LHA, RAR, TAR, ZIP, ZOO. You don't need any outside archivators to unpack them. Frigate can pack the files using BH, GZip, Jar, Lha, Cab, Tar, and Zip only. For ACE, ARC, ARJ, GZ, RAR, ZOO you need outside archivators.

In Frigate you use archives just like you use folders. Files or folders may be copied, viewed or deleted.

To copy files from an archive you must open the archive, select the files you want to copy and choose [File\Copy - F5] from the toolbar.
If you want to open the whole of an archive you must enter it and select [File\Extract - Shift+F2]. If there are any files with passwords then you will see a prompting for typing the password. When several archives are selected, all of them will be unpacked unless you remove флажок "Open all archives from the selected files".
To create a new archive use the command [File\Pack - Shift+F1].

Create a new archive
To add files to the archive open it on one panel, select the files you need on the other, and use the command [File\Copy - F5].


Frigate - Help - Change Drive

Change Drive

To change the drive use popup menu (Alt+F1/F2).
Change drive

In this dialog note the following hot keys.

  • "\" go to the web
  • "/" go to Ftp sites
  • Буква диска
You may set up the Change Drive option - press the picture with a spanner in the toolbar.

To change the drive you can also use the arrows left\right with Ctrl.
Note: There could be difference between left and right Ctrl. It depends on the settings.


Frigate - Fovourites

Favourites

If Quick folders are not enough for you then there are Favourites in Frigate. Frigate Favourites are similiar to Internet Explorer Favourites. Here you can set user menu using Organize Favourites

User menu

If you often launch a program which paraneters include the name of the current file in Friate, our user menu does it quickly and simply.
Open the window Organize Favourites
Макросы:
  • ! - The name of the current file in the active file panel
  • $ - The name of the current file in the passive file panel
  • .! - The extention of the current file in the active file panel
  • .$ - The extention of the current file in the passive file panel
  • !\ - The name of the current folder in the active file panel
  • $\ - The name of the current folder in the passive file panel
  • !/ - The name of the current folder in the active file panel (without "\" in the end)
  • $/ - The name of the current folder in the passive file panel (without "\")
  • !: - The name of the disk of the current file in the active file panel
  • $: - The name of the disk of the current file in the passive file panel
If any file must be opened occasionally to be viewed or edited use 'View' and 'Edit' in the user menu.
Example Edit C:\Frigate\Help\Content.htm will edit this file.


Frigate - Help - Copy/move file

Copy/move file

To copy or move a file select the command [File\Copy - F5].

You may easily paste current date into destination path editor F5.

There are two modes of File copy dialog. To switch to the other one press Ctrl+PageDown\PageUp.

Advanced mode allows you to:

  • Сreate shortcuts - make shortcuts which point to the source files
  • Open shortcuts - copy not the shortcut, but the file it points to
  • Copy NTFS rights
  • Extract CD after the operation is over
What is pleasant about copying in Frigate is that the user interface is not frozen during copying. Frigate can perform any number of conccurrent operations.Press Ctrl+PageDown and go on working.


Frigate - Help - File Search with the opportunity of replacing text

File Search

To find a file select [Command\Find file - Alt+F7].

The results are saved. To view the results of the last search press Ctrl+S or select The results of the last search in List of the toolbar.

Note: The extension in the file wildcard is regarded as a part of the extension. I.e. if you look for *.ico Frigate will find *.ico_any_text and *.ico.txt
To find *.ico only activate the checkbox Strict search on the Advanced page.

To find a file with the same name on the opposite panel press [Command\Find on the other panel - Alt+Q]. Besides using this option you can find out if there is this file in the folder.


Frigate - Ftp

Ftp

Frigate works with Ftp just like it does with folders. Files can be viewed, edited, copied, deleted. You can also set attributes as easily as you would do it on the local disk.

Set Ftp

If you need to go to the site you are not going to use later you may choose command Disk\Simple connection with Ftp Ctrl+Shift+F.

Simple connection with Ftp

Type the name of the host, start folder, user, and password. After that you start working.
In case you need some options you use less often, set this site onto Ftp sites list which is opened by Disk\Сonnection with Ftp Ctrl+F.
You may work with this list like you work with any other file list.

  • Make a new connection
    • use Command\Edit\New site Shift+F4
    • Menu "new site" on the button "New" in the main toolbar.
  • Edit connection.
  • Delete site.
    • use File\Delete F8/Del
    • the button Delete in the main toolbar
Connection with Ftp, main parameters

Connection with Ftp, additional parameters

  • Radiogroup "upload file names". When загрузке на Ftp file register may be transformed, which is most handy when working with Nix hosts that are so sensible to registeres.
  • Start local folder - if you copy to this site in most cases from one and the same folder, you can type its name into the editor. Every time this site is being opened, Frigate will appear in the passive panel on this folder.


Frigate - Help - Ftp Commands

FTP Commands

FTP is the user interface to the ARPANET standard File Transfer Protocol. The program allows a user to transfer files to and from a remote network site.

The client host with which ftp is to communicate may be specified on the command line. If this is done, ftp will immediately attempt to establish a connection to an FTP server on that host; otherwise, ftp will enter its command interpreter and await instructions from the user. When ftp is awaiting commands from the user the prompt `ftp>' is provided to the user. The following commands are recognized by ftp:

! [command [args]]

Invoke an interactive shell on the local machine. If there are arguments, the first is taken to be a command to execute directly, with the rest of the arguments as its arguments.

? [command]

A synonym for help.

append local-file [remote-file]

Append a local file to a file on the remote machine. If remote-file is left unspecified, the local file name is used in naming the remote file after being altered by any ntrans or nmap or the default system setting. File transfer uses the current settings for type, format, mode and structure.

ascii

Set the file transfer type to network ASCII. This is the default type.

bell

Arrange that a bell be sounded after each file transfer command is completed.

binary

Set the file transfer type to support binary image transfer.

bye

Terminate the FTP session with the remote server and exit ftp. An end of file will also terminate the session and exit.

cd remote-directory

Change the working directory on the remote machine to remote-directory.

cdup

Change the remote machine working directory to the parent of the current remote machine working directory.

chmod mode file-name

Change the permission modes of the file file-name on the remote system to mode.

close

Terminate the FTP session with the remote server, and return to the command interpreter.

delete remote-file

Delete the file remote-file on the remote machine.

debug [debug-value]

Toggle debugging mode. If an optional debug-value is specified, it is used to set the debugging level. When debugging is on, ftp prints each command sent to the remote machine, preceded by the string `-->'

dir [remote-directory [local-file]]

Print a listing of the contents of a directory on the remote machine. The listing includes any system-dependent information that the server chooses to include; for example, most UNIX systems will produce output from the command `ls -l'. (See also ls.) If remote-directory is left unspecified, the current working directory is used. If interactive prompting is on, ftp will prompt the user to verify that the last argument is indeed the target local file for receiving dir output. If no local file is specified, or if local-file is `-', the output is sent to the session window.

disconnect

A synonym for close.

exit

A synonym for bye.

ftp host [port]

A synonym for open.

get remote-file [local-file]

Retrieve the remote-file and store it on the local machine. If the local file name is not specified, it is given the same name it has on the remote machine, subject to alteration by the current case, ntrans and nmap or the default system settings. The current settings for type, form, mode and structure are used while transferring the file.

glob

Toggle metacharacter expansion expansion for local file names for mdelete, mget and mput. If globbing is turned off with glob, the file name arguments are taken literally and not expanded. For mdelete and mget, each remote file name is expanded separately on the remote machine and the lists are not merged. Expansion of a directory name is likely to be different from expansion of the name of an ordinary file: the exact result depends on the foreign operating system and ftp server, and can be previewed by doing `mls remote-files -' Note: mget and mput are not meant to transfer entire directory subtrees of files. That can be done by transferring a tar archive of the subtree (in binary mode).

hash [size]

Toggle hash-sign (``#'') printing for each data block transferred. The size of a data block defaults to 1024 bytes. This can be changed by specifying size in bytes.

help [command]

Print an informative message about the meaning of command. If no argument is given, ftp prints a list of the known commands.

idle [seconds]

Set the inactivity timer on the remote server to seconds seconds. If seconds is omitted, the current inactivity timer is printed.

lcd [directory]

Change the working directory on the local machine. If no directory is specified, the user's home directory is used.

lpwd

Print the working directory on the local machine.

ls [remote-directory [local-file]]

Print a list of the files in a directory on the remote machine. If remote-directory is left unspecified, the current working directory is used. If interactive prompting is on, ftp will prompt the user to verify that the last argument is indeed the target local file for receiving ls output. If no local file is specified, or if local-file is -, the output is sent to the session window.

mdelete [remote-files]

Delete multiple files remote-files on the remote machine.

mdir remote-files local-file

Like dir, except multiple remote files may be specified. If interactive prompting is on, ftp will prompt the user to verify that the last argument is indeed the target local file for receiving mdir output.

mget remote-files

Expand the remote-files on the remote machine and do a get for each file name thus produced. See glob for details on the filename expansion. Resulting file names will then be processed according to case, ntrans and nmap or the default system settings. Files are transferred into the local working directory, which can be changed with `lcd directory'; new local directories can be created with `! mkdir directory'.

mkdir directory-name

Make a directory on the remote machine.

mls remote-files local-file

Like ls, except multiple remote files may be specified, and the local-file must be specified. If interactive prompting is on, ftp will prompt the user to verify that the last argument is indeed the target local file for receiving mls output.

modtime file-name

Show the last modification time of the file on the remote machine.

mput local-files

Expand wild cards in the list of local files given as arguments and do a put for each file in the resulting list. See glob for details of filename expansion. Resulting file names will then be processed according to ntrans and nmap or the default system settings.

msend local-files

A synonym for mput.

open host [port]

Establish a connection to the specified host FTP server. An optional port number may be supplied, in which case, ftp will attempt to contact an FTP server at that port. If the auto-login option is on (default), ftp will also attempt to automatically log the user in to the FTP server (see below).

prompt

Toggle interactive prompting. Interactive prompting occurs during multiple file transfers to allow the user to selectively retrieve or store files. If prompting is turned off (default is on), any mget or mput will transfer all files, and any mdelete will delete all files.

When prompting is on, the following commands are available at a prompt:

n - Do not transfer the file. a - Answer `yes' to the current file, and automatically answer `yes' to any remaining files for the current command. p - Answer `yes' to the current file, and turn off prompt mode (as if ``prompt off'' had been given). Any other reponse will answer `yes' to the current file.

put local-file [remote-file]

Store a local file on the remote machine. If remote-file is left unspecified, the local file name is used after processing according to any ntrans or nmap the default system settings in naming the remote file. File transfer uses the current settings for type, format, mode and structure.

pwd

Print the name of the current working directory on the remote machine.

quit

A synonym for bye.

quote arg1 arg2 ...

The arguments specified are sent, verbatim, to the remote FTP server.

recv remote-file [local-file]

A synonym for get.

reget remote-file [local-file]

Reget acts like get, except that if local-file exists and is smaller than remote-file, local-file is presumed to be a partially transferred copy of remote-file and the transfer is continued from the apparent point of failure. This command is useful when transferring very large files over networks that are prone to dropping connections.

remotehelp [command-name]

Request help from the remote FTP server. If a command-name is specified it is supplied to the server as well.

rename [from [to]]

Rename the file from on the remote machine, to the file to.

rmdir directory-name

Delete a directory on the remote machine.

send local-file [remote-file]

A synonym for put.

status

Show the current status of ftp.

system

Show the type of operating system running on the remote machine.

trace

Toggle packet tracing.

type [type-name]

Set the file transfer type to type-name. If no type is specified, the current type is printed. The default type is network ASCII.

user user-name [password [account]]

Identify yourself to the remote FTP server. If the password is not specified and the server requires it, ftp will prompt the user for it (after disabling local echo). If an account field is not specified, and the FTP server requires it, the user will be prompted for it. If an account field is specified, an account command will be relayed to the remote server after the login sequence is completed if the remote server did not require it for logging in. Unless ftp is invoked with ``auto-login'' disabled, this process is done automatically on initial connection to the FTP server.

verbose

Toggle verbose mode. In verbose mode, all responses from the FTP server are displayed to the user. In addition, if verbose is on, when a file transfer completes, statistics regarding the efficiency of the transfer are reported. By default, verbose is on.

Command arguments which have embedded spaces may be quoted with quote `"' marks.

Commands which toggle settings can take an explicit on or off argument to force the setting appropriately.


Frigate - Help - Hot Keys

Frigate Hot Keys

  • File manager
    • File selection
    • Navigation
    • File operations
    • FTP
    • Archives
    • Other
  • Editor
    • Editor block operations
    • Delete

File manager

File selection
Insert, Spacebar | Insert/Сut selection
Ctrl A | Select/Unselect all
Num+ | Select files using wildcards (Numeric keypad plus)
Ctrl Num+ | Select files of current group
Num- | Deselect files using wildcards (Numeric keypad minus)
Ctrl Num- | Unselect files of current group
Num* | Invert file and folder selection
Ctrl Num* | Invert file selection
Shift+Arrows | Select a range of files
Ctrl Num/ | Restore last selection

Navigation

Alt F1 | Change drive in left browser
Alt F2 | Change drive in right browser
Ctrl PageUp, BackSpace | Go to folder above
Ctrl \ | Go to root drive
Alt BackSpace | Go to previous directory
Ctrl Left/Right Arrow | Navigation in drive bar

File operations

F5 | Copy selected files to companion browser
F6 | Move selected files to companion browser
Shift F6, F2 | Rename file or folder
F7 | Make a new folder
F8, Del | Move selected files to the recycle bin or delete selected files (tuned)
Alt+E | Set file attributes
Ctrl+C | Copy selected files to clipboard
Ctrl+V | Paste files from the clipboard

FTP

Ctrl F | Show FTP List
Ctrl Shift F | Quick Connect to FTP

Archives

F3 | Extract current file in temp dir and view it
F8 | Delete selected files
Shift F1 | Pack selected files
Shift F2 | Unpack current archive to companion browser
Ctrl PageDown | Enter in SFX(exe) archive or any other archive with an extraodinary extension

Other

Tab | Activate the companion panel
F3 on dir | Calculate folder size
Ctrl H | Show\hide hidden files
Alt E | Set or view file attributes
Ctrl D | Compare directories
Alt B | Change file sort
Ctrl+F11 | Create new file manager
Ctrl Ins | Copy to full file name to clipboard
Ctrl Shift Ins | Copy to only file name to clipboard

Editor Hot Keys

Block operations

Alt+Shift+Cursor keys | Select vertical block. It doesn't work when division of words is on.
Shift+Cursor keys | Select block
Ctrl+K -> Ctrl+I | Shift block right
Ctrl+K -> Ctrl+U | Shift block left
Ctrl-A | Select all text
Shift-Ins, Ctrl-V | Paste block from clipboard
Shift-Del, Ctrl-X | Cut block
Ctrl-Ins, Ctrl-C | Copy block to clipboard

Delete

Del | Delete a char (or a block if it is selected)
Ctrl+Y | Delete line
Ctrl+BackSpace | Delete word left
Ctrl+T | Delete word under the cursor


Frigate - Help - Convert image

Convert image

This built-in utility helps you to manage images. Using it you can convert or resize images and create a thumbnail gallery of your collection. It deals both with one image and a group of images.

To convert image

  1. Open the folder with the images
  2. Select the files that you want to convert
  3. Select: Utilities\ Convert image.
  4. The dialog window will appear
To convert image you should do 5 steps

Step 1
Select the necessary file in the first window. Open Look in and select folder or file. If you want to see the information about the file or folder (size, type, date) press Details in the main bar of the window.
To see the thumbnail of a picture check the checkbox View. The format of the thumbnail is set in the toolbar. Press ... if you want to see full screened pisture. If you want to convert a group of files select them with Shift. Then press Open.

Step 2
The next window will tell you about this utility. To continue work press Next.

Step 3
Here you can select the format you want the image to be converted to. Frigate supports the following formats: JPEG, PNG, TIFF, BMP, PCX, GIF, TGA, PBM. Then press Next.

Step 4
Here you can set the size of the picture either in absolute values or in per cents. Check Сonstrain proportions if you want to constrain proportions. After that choose resize method.

  • Stretch - the picture will be stretched to rectangle
  • Thumbnail - the picture will be inscribed into rectangle. If the picture is too small it will be in the center and the blank space will be grey.
  • Adjusted - the picture will be described over rectangle. If the picture is too big it will be cut.
After that press Next.

Step 5
In the fifth window select the folder where the converted image will be saved. If the file alredy exists the program can

  • Ask
  • Rewrite
  • Skip
  • Rename
Choose the one you need and press Finish.

After you have done all the five steps the converted images will be saved in the folder and the program will close.


Frigate - Help - Images

Images

View image

It's a most handy option of Frigate. If you deal with pictures often you'll appreciate it. Using it you can easily view a collection of pictures, photos, other images in a thumbnail view or full screened. Frigate supports the following extensions: BMP,JPG, JPEG, ICO, TIF, TIFF, PNG, WMF, EMF, PCX, TGA, GIF

You can view images in several ways:
Thumbnail View
Thumbnail view 		Quick view
Quick view 		Fill screen
Full screen
or with the help of the external viewer that is associated with the file format (double click on the file mane).

Thumbnail view

Use this mode if you need to view a big number of images all at once. They will be shown on the opposite panel as thumbnails. Here you can view BMP, JPEG, GIF (including Gif animation), PCX, ICO, CUR, ANI files.

To launch Thumbnail view select Мanager\Thumbnail view or press Ctrl+T. The image of the current file is marked blue. You can choose the size of the thumbnails in the toolbar. They can be 16x16, 32x32, 64x64, 96x96, 128x128, 256x256. To see the image full screened make a double click.

Quick View

To view the images on the opposite panel select the file and press Ctrl+Q. Using Frigate you can rotate the picture +\- 90 degrees. For this make right button click on the picture and select the rotatio in the appeared menu.

Full screen

To view a picture full screened select the file and press F3.

Left Arrow/Right Arrow - Previous\Next file.
Space/BackSpace - Next\Previous file.
Up Arrow/Down Arrow - Rotate the picture 90% anticlockwise\clockwise.
Esc - Close this mode and put the cursor on the first picture.
Enter - Close the mode and put the cursor on the current picture.

When the picture is full screened there will appear a toolbar in the upper part of the window.

  • Locate - Close the file and put the cursor on it in the list of files
  • Full screen - Switch from the full page mode to the full screen mode. When you press this button again the picture will be full paged.
  • slides - Launch Slide show.
  • <-/-> - Show the previous/ next picture.
  • 100% - Real size - 100%
  • Ajust - Ajust the picture to Frigate's panel size.
  • Toolbar - Hide\show the toolbar
  • Edit - Edit brightness, contrast, and colour spectrum of the picture.
  • Select - Select the picture in the file panel and go to the next one.
  • Rotate to the left - Rotate the picture 90% anticlockwise. Click again to undo rotation. Frigate saves the rotated picture automatically.
  • Rotate to the right - Rotate the picture 90% clockwise. Click again to undo rotation. Frigate saves the rotated picture automatically.
  • Rotate 180 - Rotate the picture 180%. Click again to undo rotation. Frigate saves the rotated picture automatically.
  • File
    • Save as
    • Copy
    • Move
    • Delete
    • Set as wallpaper
    • Restore wallpaper
    • Copy to the clipboard

Slide show

View the content of the folder as a slide show in full screen mode. Enter the folder with images and select Utilities\Slide show.
  • Timeout - The time of the show (seconds).
  • Include subfolders - Check this checkbox if you want to view subfolders with images too.


Frigate - Help - InfoView

InfoView

Here you can see information about the current drive, file or folder.
To activate it select Disk\Disk info in the main toolbar or press Ctrl+L.
Here you can set the number of files and folders:

  • Top level folders
  • Top level files
  • Total folders
  • Total files
Then goes information about the size of the files:
  • Files size - total files size
  • Compressed size - compressed files size
  • Real files' size - real liles size
  • Files' slack - slack space in per cent
Information about drive:
  • Drive size
  • Drive free
  • Volume label
  • Serial number
  • File system
  • Cluster size


Frigate - Make new folder

Make new folder

To make a new folder choose the command [Command\Make folder - F7].

Make a new folder

  • If you want to create several folders, type their names with ; between them
    I.e. "First folder;Second Folder;Third Folder">
  • You can also create a tree of folders "First\Second\Third"
  • You may paste date with one click F5 into the name of the folder. The date can be selected from the Make Folder popup menu.


Frigate - Help - Toolbar - Advanced/Plugins

Toolbar - Advanced - Plugins

Here is the list of all Frigate plugins. Uncheck the checkboxes of those plugins you don't need. It'll will make Frigate less heavyweight. Restart Frigate with the key /r (more) to apply the settings.


Frigate - Help - Toolbar -Editors

Toolbar - Editors

  • Auto insert Date - Insert date in SmartPad (more about SmartPad)

    Editors - Spellcheck

    SpellChecking

    • Dictionaries - select the dictionaries that are used in syntax check in text editor.
      You can download more dictionaries here: http://www.addictive-software.com/dicts-extern.htm
      Additional dictionaries (they are *.adm files) place in the folder: *:\Program Files\Frigate3\Addons\Dict\. After that they will appear in this window. Uncheck the checkbox if you don't want to use any dictionary.
      If the dictionaries are in some other place, press Locate Dictionaries and type the folder with them.
    • Custom dictionaries - Use user dictionary if you don't want the program ask you about the words that are not included into the main dictionaries. If you want the program to take these words as correct ones make your own dictionary - user dictionary. Press the button "Dictionaries", select the dictionary and press "Edit" to edit the word list.
    Note: Frigate can't check the Russian texts if you don't have Russian Microsoft Office (95-2000) libraries. Note that Office ХР doesn't work. To solve this problem try to download this file spellset.exe (1,1Mb). After that restart Frigate.


Frigate - Help - Control Center - File groups

Control Center - File groups

File groups

File groups - not a usual but very convenient way to divide the files into groups. Frigate supports any number of file groups. Any file group can have a certain color and Frigate can sort files by groups.
By default Frigate supports 12 file groups:

  • Folders
  • Executables
  • Archives
  • Images
  • Multimedia
  • Source files
  • Тext files
  • Temp files
  • Internet files
  • Office files
  • Database files
  • Unknown
You can easily
  • change the sequence of groups (Ctrl+Up, Ctrl+Down)
  • add a group (Ins)
  • edit a group (F2)
  • delete a group(Ctrl+Del).
    Here you can change the color of a group. This can be also done in Settings\Color


Frigate - Help - Control center - File manager

Control center - File manager

  • Quick Search - Select the key that will open Quick Search window (Single Alt, single Ctrl or any letter).
  • Default popup menu - Define which popup menu (Frigate or Explorer) will be shown when you press right mouse button on file panel. If you also press Ctrl the other menu will appear.
  • Selection - invert folders - choose (Gray * or Ctrl+Gray * ) to select folders selection.
  • Sorting - Set the way of sorting files and folders.
  • Right mouse button select file - Check this box if you want to select files by right mouse button.
  • Calculate size on selection - Frigate will calculate the size of the file when you select it. If this checkbox is not checked you can learn the file size by F3.
  • Background - Select the image that will be background in your file manager.
  • Tile - Tile the background with the image.

File manager - Report view

Here you can do the following settings:

  • Show column lines
  • Show extensions
  • Show file icons
  • Show extensions tightly
  • Extension right aligned
  • Data format

File manager - List view

  • Show extensions
  • Show extensions tightly
  • Extensions right aligned
  • Show file icons

    Calculate columns count - Friagte calculates the number of columns on the assumption of the most length of the file. You can set the certain amount of the columns. In this case those names that are too long will be cut.

File manager - Navigation

  • Distinguish right and left Ctrl - If the left Ctrl box is checked you navigate on the left disk bar.
  • Manage disks on each panel - Check this checkbox if you want to see disk bar on each panel
  • Manage navigation on each panel - Check ths checkbox if you want navigation panel to be oneach panel of the file manager.


Frigate - Help - Control Center - File System

Control Center - File System

  • Use short file size - the way file size will be displayed in Frigate panel.
  • Delete to recycle bin - When you press Delete Frigate can either put the document to recycle bin or delete it immediately.
  • Clear Read Only attibute after copying to CD - All file and folders on CD are read-only. Frigate can take off this attribute when you copy them to your hard drive.

File system - Confirmations

  • Delete read-only files - Frigate will ask for confirmation when you try to delete read-only files.
  • Delete read-only folders - Frigate will ask for confirmation when you try to delete read-only folders.
  • Delete non-empty subfolders - Frigate will ask for confirmation when you try to delete non-empty subfolders.
    We highly advise you to check all these checkboxes. It will prevent you from accidental deleting necessary files and folders.


Frigate - Help - Options - Internet

Control panel - Internet

Internet - Email

You can send any file straight from Frigate. Frigate will do it itself or use your mail client. To send a letter select File/Email.

  • From address - Type the name and address the recepient will see in his/her mail client. This information will be shown in all the Frigate letters.
  • Transport - Select SMTP server and SMTP port. Your internet provider will give you this information.
  • Use standard MAPI client like MS Outlook - Check this checkbox if you want to use your mail client (Outlook or The Bat!).

Internet - Email template

Email template
  • Email template - It's a template for the letter.

Internet - FTP

Set proxy settings here.

  • Proxy settings - These are the settings for your proxy server. Get the information from your system administrator.
  • Anonymous password - If there is no name in FTP-сonnection dialog Frigate will use anonimous password. This password will be used on ftp sites with user name "anonymous".
  • Show password - Show/hide password.
  • ASCII files - here you can select text mode (Type A) of opening the file on Ftp. A not often used option.
  • Execute file types - When you copy php\pl files you have to enter attributes of the execute files. The files which extensions are typed here will be marked as execute at once.

Internet - Frigate Direct

Frigate Direct
  • Automatically poll network - Check this checkbox if you want Frigate to poll network. Set the interval here (days).


Frigate - Help - Toolbar - Main

Toolbar - Main

  • Language - Select the interface.
  • Show Frigate icon in system tray - When Frigate is minimized the icon appears in the system tray next to the clock not in the taskbar. Click this icon to restore Frigate.
    Note: You can also restore Frigate by Alt+Tab. If you have Win2000 press Enter besides Alt+Tab.
  • Auto save desktop - Check this checkbox to save desktop after Frigate is closed.
  • Minimize application when press button Close - Close button will minimize Frigate not close it.
  • Show advanced settings - check this checkbox to see advanced settings. Note that advanced settings are for advanced users!

Main - Toolbar

  • Menu style - Select the style you like: Standart, OfficeXP or WindowsXP.
  • Text options - selective text on the right, show text labels or no text labels.
  • Icon options - Select icons size (small or large).

Main - File associations

You can select Frigate as the program by default used to view, open, edit files of the chosen type. To do this check the box near extension or a group of extensions you want to associate Frigate with.

Main - Interface

  • Hotkeys for Restore/Hide Frigate - Select the hotkey that restores/hides Frigate.
  • Tab position in Pages - Select the position of bookmarks (Top/Bottom).
  • Autocomplete command line - The command line will be automatically completed.
    Example: If you ever typed primer.exe 1.txt 2.txt in the command line, Frigate will complete primer.exe with 1.txt 2.txt when you type it again.


Frigate - Help - Toolbar - Multimedia

Toolbar - Multimedia

  • Path to you Music Player - Here you can select the utility that will play your disks. Press F3 to use it.
  • Use WinАmp 2.xx - Check this box if you want to use WinAmp 2.xx.


Frigate - Help - Page Control

Page control

Navigation

You may change pages not only by the commands Next/Previous page Ctrl+Tab/Ctrl+Shift+Tab but also using direct address Ctrl+<Number> (Number = the number of the page).

Close the page

You may close the page in several ways:
  • Select Page\Close the page Shift+Esc.
  • Press the button X in the upper right corner.
  • Make a middle click on the title of the page.
  • Use popup menu.
  • Press Esc for editors and viewers and Shift+Esc for file manager.


Frigate - Help - Queue Manager

Queue Manager

If you want the operation to start after the finishing of the previous one use Queue Manager. This way you can optimize hard drive work, reduce fragmentation of the copied and moved files and increase the speed of the operation.
To launch Queue Manager select File\Queue Manager or press Ctrl+F7.
Using Queue Manager you can view the current queues and tasks, change the order of tasks, delete a task, rename or pause the queue.

  • Arrow up - Replace the current task one line up.
  • Arrow down - Replace the current task one line down.
  • Delete task - Delete task from the queue.
  • Rename queue - Rename queue.
  • Pause queue - Pause queue.
  • Delete queue - Delete queue.


Frigate - Quick folders

Quick folders (frequently used folders)

An extremely useful opportunity Frigate has. If you work with a project or have a folder that you use quite often, open it in a simplified way. For this memorize the folder by Ctrl+Аlt+Shift+<Number> and press Alt+<Number> when you want to get into the folder next time.


Frgate - Help - QuickLaunch

QuickLaunch

Quick Launch allows you to launch the utilities you use most often straight from the toolbar.

You can add applications by drag and drop from Frigate, Windows, Explorer or any other program. Use Icon manager (Quick Launch\ Manage Shortcuts) to set the sequence of the icons.

Icon sequence manager


Frigate - Help - Quick view

Quick view

You can view the contents of your panel on the opposite one using File\Quick view - Ctrl+Q.

The following files are viewed magnificently! AVI DBF html bmp;jpg;jpeg;ico;tif;tiff;png;wmf;emf;pcx;tga;gif

For example

  • I remember vaguely that the picture I need now is in the subfolder of the Data folder. But there are dozens of pictures there! Well I just go to Data folder and find all the jpeg pictures (Alt+F7 - *.jpg). After that using Quick View I soon find my picture.


Frigate - Help - SmartPad

Smart Pad

Smart Pad - is a handy utility for making quick and short notes. Just if some idea occured to you but you have no time or possibility to stop the current work use SmartPad. All you have to do is to press Shift+Ctrl+Q or select Utilities\SmartPad in the main toolbar.

By default every time you launch SmartPad date and time are added. Edit the notes with all the edit tools of Frigate.


Frigate - Help - StartUp manager

StartUp manager

StartUp manager is a utility that helps you to manage those programs and services that lauch themselves every time you start Windows. In most cases we don't need all of them. To solve the problem use StartUp manager. Select Utilities\StartUp manager in the main toolbar. Now you can easily add, edit, disable or remove programs.

  • Add - Add a program to the list of autolaunch.
  • Edit - Edit the program from the list.
  • Disable - Disable the program.
  • Remove - Remove the program from the list.
  • Run - Run the program.


Frigate - Text editor

Text editor

  • Highly configurable enviroment
    • Configurable syntax color highlighting
    • Background setting
  • Spell Checking
  • Code Templates (Ctrl+J Code Templates)
  • Vertical block (Ctrl+Shift+C)
  • Export to RTF or HTML with colour highlighting, which is extremely convenient in publicating your sources into web.
  • Method Navigator (Alt+M), a handy tool for quick search of a necessary function or procedure in big files.
  • Html support, Wizards and Tool Tips.
  • Win, Unicode, Dos, Koi8, Mac, Iso support
  • Unix and Mac format file support
Text editor remembers current position, code, bookmarks.

Editor sittings

To get to Editor settings use Settings in editor menu

Spell checking

Now Spell checking is available only for txt, htm, html, php files in Office 95/97/2000, but not in Office XP. Put it on\off by View/Spell checking

Method Navigator

Method Navigator (Alt+M), a handy tool for navigation along methods and procedures. Method Navigator

Setup Method Navigator

Built-in Pascal, Ini, CSS support. For other languages there is simple setting. You should set a list of words of different functions, procedures and other logic blocks in the page of Editor settings Code Insight->Advanced

Example

Procedure, Function, Trigger, Table, View для MS SQL.
function для PHP.
Setup Method Navigator

Background setup

You can set the background by Display\Background in Editor settings

Setup Background in Text Editor

Html support

HTML support plugin allows you to view (F9, F12) верстаемый file. Tags tip (Shift+F2) shows a list of tags corresponding to the current tag. For example, if the cursor is in the table, Tags tip will display parameters of the table. We also added a list of most often used tags for your convenience. You can find it in the command Tags.

Ctrl+Shift+P | <P> Paragraph
Ctrl+Shift+B | <BR> Перевод строки
Ctrl+Shift+T | <TABLE></TABLE> Table
Ctrl+Shift+R | <TR></TR> Line
Ctrl+Shift+D | <TD></TD> Box


Frigate - Help - TreeNotes

TreeNotes

TreeNotes is an extremely easy-to-use and handy utility for keeping a diary, making notes or a list of tasks. To launch TreeNotes select Utilities\TreeNotes in the main toolbar or press Shift+Ctrl+T. The structure of the tree is transparent, which aloows to navigate easily. Besides you can mark the notes by color and pictures dividing them this way into categories. You will find the nessecary note in a second. TreeNotes has a built-in editor and a set of different fonts and colors. You can easily print either a note or the whole tree.


Frigate - Help - User menu

User menu

Menu depends on what are you doing. For example when you are viewing a file Mode is added. If you are editing files Mode and Find are added. Working with html files you will see Tags. Frigate user menu is a flexible thing so that you could work with utmost convenience.

File

File
- Сopy selected files or folders (more)
- Move selected files or folders (more)
- Rename selected file or folder
- Delete to the recycle bin selected files and\or folders
- Make new folder (more)
- Сreate shortcuts for selected files and\or folders
- Dublicate the selected file or folder
- Delete selected files or\and folders (more)
- Rename group of files or folders (more)
- Change file attributes (more)
- Pack selected files and\or folders (more)
- Pack selected files and\or folders to the opposite panel
- Unpack selected files or\and folders (more)
- Send selected file by email
- Launch active tasks (more)
- Launch Queue manager (more)
- Exit Frigate

Command

Command
- View the current file
- Edit current file
- Work with clipboard
- Work with command line
- Open find file dialog (more)
- Find the current file in the opposite panel
- Work with filters
- Open file comparison dialog
View
View - Use external viewer
- View as is
- View as video
- View as BDF file
- View as Access file
- View as Excel file
- View as HEX file (sexadecimal)
- View as HTML file
- View aas a pictere
- View as OLE object
- View as RTF file
- View as text
- Play as MP3
Edit
Edit - Use external editor
- Edit as is
- Make new text file
- Edit as dbf file
- Edit aas excel file
- Edit as HEX file (sexadecimal)
- Edit as RTF file
- Edit as text
Clipboard
Clipboard - Copy file name to the clipboard
- Copy the path and file name to the clipboard
- Copy the names of all files and folders from the current panel to the clipboard
Command line
Command line - Activate command line
- Show previous command
- Put file name to command line
- Put the file name and the path to command line
- Put the current path from the left panel to command line
- Put the current path from the right panel to command line
- Clear history of the command line
Filter
Filter - Open filter dialog
- Filter on selected files
- Clear filter

Disk

Disk
- Change left drive
- Change right drive
- Refresh info about file panels
- Set the path on the left panel as it is on the right one
- Set the path on the right panel as it is on the left one
- Find computer in the web
- Show volume label
- Show info about disk (morе)
- Go to FTP sites list (more)
- Open quick FTP connect (more)

Utilities

Utilities
- Launch Smart Pad (more)
- Launch internet browser (more)
- Launch calculator(more)
- Launch SteartUp manager (more)
- Launch Tree Notes (morе)
- Launch Convert Image (more)
- Launch slide show (more)

Мanager

Мanager
- Open new console (more)
- Оpen new explorer
- Оpen new file manager
- Оpen sync folders dialog (more)
- Сompare the current files (more)
- Launch Quick view (more)
- Launch Size manager (more)
- Оpen thumbnail view (more)
- Аctivate file manager

Pages

Pages
- Close the current page
- Сhange file panel
- Swap panels
- Hide left panel
- Hide right panel
- Go to the next page
- Go to the previous page
- Fullscreen Frigate

Options

Options
- Open Control center (more)
- Оpen extension setup dialog (more)
- Оpen color setup dialog (more)
- Оpen archives setup dialog (more)
- Save the current desktop

Help

Help
- Launch Frigate's help
- Go to the registration page
- Enter registration key
- Read tip of the day
- Go to the plugins page of Friagte site
- Learn the latest news about Frigate
- Send a bug report to the developers
- Info about the program

Mode

Mode
- Turn on/off word devision mode
- Switch the mode: read only\ edit only
- Turn on/off file autorefresh
- Show/hide left gutter
- Show/hide right border
- Show/hide toolbar
- Turn on/off syntax check

Search

Search
- Оpen text search dialog
- Оpen text replace dialog
- Continue searching
- Go to the certain line
- Make the bookmark (there are 10 of them there)
- Go to the certain bookmark

Тags

Here you will find a list of most often used tags.

Тags
- Page preview
- Edit the current tag
- Show a tip for the current tag
- Insert hyperlink tag
- Insert picture tag
- Insert font tag
- Insert header tag (H1-H6)
- Insert list tag (Unordered list, ordered list, list item)
- Insert table tag (table, table row, table cell)
- Insert bold font tag
- Insert italic font tag
- Insert underline font tag
- Insert tag for making font bigger +1
- Insert tag for making font smaller -1
- Insert blockquote tag
- Insert line feed tag
- Insert center adjusting tag
- Insert comment tag
- Insert horizontal line tag
- Insert non-breaking space tag
- Insert paragraph tag
- Insert start tag
- Insert end tag


Frigate - Help - Viewers

Viewers

Frigate has built-in viewers for the following formats
  • Doc
  • Excel
  • Images
  • Music
  • Text with syntax highlighting
  • RTF text
  • DBF
  • HTML
Besides you can use external viewers (Ctrl+F3).


Frigate - Help - Volume

Adjust the sound volume

To adjust the volume for multimedia playback devices:
  1. On the Volume toolbar, drag the Volume slider up or down to increase or decrease the output volume.
  2. You can mute or turn-on the sound by clicking a speaker icon on the Volume toolbar.
Note: If you do not see Volume toolbar, make sure it is turned on by right-clicking the blank space on the right-hand side of the main menu and checking Volume checkbox in the appeared pop-up.